%define upstream_name Dist-Zilla-Plugin-Author-KENTNL-CONTRIBUTING
%define upstream_version 0.001006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Generates a CONTRIBUTING file for KENTNL's distributions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::GenerateFile::FromShareDir) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a personal Dist::Zilla plug-in that generates a CONTRIBUTING
section in my distribution.

I would have made something more general, but my head exploded in
thinking about it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.1.6-5.mga10
+ Revision: 2203585
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.1.6-4.mga9
+ Revision: 1808839
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.6-3.mga8
+ Revision: 1503941
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.6-2.mga7
+ Revision: 1282980
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.1.6-1.mga7
+ Revision: 1125898
- update to 0.001006

* Sun Jun 19 2016 pterjan <pterjan> 0.1.5-2.mga6
+ Revision: 1025821
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 0.1.5-1.mga6
+ Revision: 1007509
- update to 0.001005

* Fri Feb 19 2016 umeabot <umeabot> 0.1.4-2.mga6
+ Revision: 968227
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.4-1.mga6
+ Revision: 851653
- imported package perl-Dist-Zilla-Plugin-Author-KENTNL-CONTRIBUTING

